function [p,ytau1,d] = verojatnost(tau,y)


  %d=ceil((max(y)-min(y))/s); 
  d=ceil((length(y))^(1/3));
  %d=8;
  

%d=10; %количество делений для ряда распределения 

for j=1:tau
    for i=1:length(y)-j
    y_tau(i,j)=sum(y(i:i+j,1))/(j+1);
    end
%    h=(max(y_tau)-min(y_tau))/n; %ширина одного деления
 y_tau(1:length(y)-j,j)=sort(y_tau(1:length(y)-j,j));
[n,ytau] = hist(y_tau(1:(length(y)-j),j),d);
p(j,1:length(n))=n/sum(n); ytau1(j,1:length(ytau))=ytau; %матрица вероятностей и y_tau 
%p(j,1:length(n))=n; ytau1(j,1:length(ytau))=ytau;
end

clear ('y_tau','n','ytau')



